using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class UpdateTableCandidateaddcontact : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ContactFirstname",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "ชื่อ บุคคลที่สามารถติดต่อได้")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ContactLastname",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "สกุล บุคคลที่สามารถติดต่อได้")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<Guid>(
                name: "ContactPrefixId",
                table: "Candidates",
                type: "char(36)",
                nullable: true,
                comment: "Id คำนำหน้า บุคคลที่สามารถติดต่อได้",
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<string>(
                name: "ContactPrefixName",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คำนำหน้า บุคคลที่สามารถติดต่อได้")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ContactRelations",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "เกี่ยวข้องเป็น บุคคลที่สามารถติดต่อได้")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ContactTel",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "โทรศัพท์ บุคคลที่สามารถติดต่อได้")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ContactFirstname",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ContactLastname",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ContactPrefixId",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ContactPrefixName",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ContactRelations",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ContactTel",
                table: "Candidates");
        }
    }
}
